%global pkgvers 0
%global scdate0 20231102
%global schash0 eac9d4c963358a7df9f0d2f107e732830d3661c9
%global branch0 master
%global source0 https://github.com/analogdevicesinc/libad9361-iio.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           libad9361-iio
Version:        0.3
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Library used for userspace AD9361
License:        GPLv2.1

URL:            https://github.com/analogdevicesinc/libad9361-iio

BuildRequires:  gcc cmake git doxygen libiio-devel

%define __cmake_in_source_build 1

%description
Library used for userspace AD9361

%package        devel
Summary:        Development library of %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
Development library for %{name}


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
mkdir -p build
pushd build
%cmake -Wno-dev \
       -DCMAKE_SKIP_RPATH=ON \
       -DCMAKE_VERBOSE_MAKEFILE=OFF \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo \
       ..

make %{?_smp_mflags} VERBOSE=1
popd


%install
pushd build
make install DESTDIR=%{buildroot}
popd

mv -f %{buildroot}/usr/lib %{buildroot}/%{_libdir} || true


%files
%doc README.md
%license LICENSE
%{_libdir}/*.so.*
%{_datadir}/doc/*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Aug 25 2020 Balint Cristian <cristian.balint@gmail.com>
- github update releases
